Subject: Re: [PATCH net-next v5 4/7] net: ethtool: add support for configuring header-data-split-thresh

From: Jakub Kicinski <[email-masked]>
Date: Fri, 15 Nov 2024 11:18:50 -0800

On Sat, 16 Nov 2024 03:05:33 +0900 Taehee Yoo wrote:
> > nit: s/_HEADER_DATA_SPLIT_/_HDS_/ ;)
> >
> > We can explain in the text that HDS stands for header data split.
> > Let's not bloat the code with 40+ character names...  
> 
> I'm not familiar with the ynl, but I think there are some dependencies
> between Documentation/netlink/spec/ethtool.yaml.
> Because It seems to generate ethtool-user.c code automatically based
> on ethtool.yaml spec. I think If we change this name to HDS, it need to
> change ethtool spec form "header-data-split-thresh" to "hds-thresh" too.
> 
> However, I agree with changing ethtool option name from
> "header-data-split-thresh" to "hds-thresh". So, If I understand correctly,
> what about changing ethtool option name from "header-data-split-thresh"
> to "hds-thresh"?

Correct. And yes, you'll need to change in both places the spec and the
header. FWIW Stanislav is working on auto-generating the ethtool header
from the YAML spec, hopefully that will avoid having to change both
places long term.